#!/bin/bash

EXE_FILE="../../../../builddeps/ApoIdentStartSettings/Version_1.0/ApoIdentStartSettings.exe"
hiperscan-signtool "$EXE_FILE"

PROFILE=`basename $PWD`

if [ -x $PWD/../../../SoftwareUpgrader ]
then
  echo Found SoftwareUpgrader
  hiperscan-signtool "$PWD/../../../SoftwareUpgrader/bin/$PROFILE/ApoIdentSoftwareUpgrader.exe"
  ln -sf $PWD/../../../SoftwareUpgrader/bin/$PROFILE/ApoIdentSoftwareUpgrader.exe .
fi


if [ -x $PWD/../../../ShowApoIdent ]
then
  echo Found ShowApoIdent
  hiperscan-signtool "$PWD/../../../ShowApoIdent/bin/$PROFILE/ShowApoIdent.exe"
  ln -sf $PWD/../../../ShowApoIdent/bin/$PROFILE/ShowApoIdent.exe .
fi

